//
// function to mimmik css when clicking the responsive buttons in the inspector panel
export const mimmikCssForResponsivePreview = ({ domObj, resOption }) => {
  //
  const allEbBlocksWrapper = domObj.querySelectorAll(
    ".eb-guten-block-main-parent-wrapper > style"
  );

  if (allEbBlocksWrapper.length < 1) return false;

  for (const styleTag of allEbBlocksWrapper) {
    const cssStrings = styleTag.textContent;
    const minCss = cssStrings.replace(/\s+/g, " ");
    const regexCssMimmikSpace = /(mimmikcssStart\s\*\/)(.+)(\/\*\smimmikcssEnd)/i;
    let newCssStrings = " ";
    if (resOption === "Tablet") {
      const tabCssStrings = (minCss.match(
        /tabcssStart\s\*\/(.+)(?=\/\*\stabcssEnd)/i
      ) || [, " "])[1];
      newCssStrings = minCss.replace(
        regexCssMimmikSpace,
        `$1 ${tabCssStrings} $3`
      );
    } else if (resOption === "Mobile") {
      const tabCssStrings = (minCss.match(
        /tabcssStart\s\*\/(.+)(?=\/\*\stabcssEnd)/i
      ) || [, " "])[1];

      const mobCssStrings = (minCss.match(
        /mobcssStart\s\*\/(.+)(?=\/\*\smobcssEnd)/i
      ) || [, " "])[1];

      newCssStrings = minCss.replace(
        regexCssMimmikSpace,
        `$1 ${tabCssStrings} ${mobCssStrings} $3`
      );
    } else {
      newCssStrings = minCss.replace(regexCssMimmikSpace, `$1  $3`);
    }
    styleTag.textContent = newCssStrings;
  }
};
